// 秒寻科技
// 解调模块参数
// zt
// 2023-03-30

#ifndef __STRUCT_DMDL_H__
#define __STRUCT_DMDL_H__

#include "./datatype.h"
#include "./sysmacro.h"

#define DMDL_FFT_OVERLAP_LEN 4384                                                    // 5274(一代机是5274)                                                  // FFT交叠样点数
#define DMDL_FFT_FRAME_PAYLOAD_LEN (PUB_FFT_FRAME_LEN - DMDL_FFT_OVERLAP_LEN)        // FFT变换有效样点数
#define DMDL_FFT_MODULUS_BUF_LEN (DMDL_FFT_FRAME_PAYLOAD_LEN - DMDL_FFT_OVERLAP_LEN) // 第一次求模的数据长度

// 交叠FFT数据结构(交叠区)
typedef struct
{
    flt32 afOverlapReal[DMDL_FFT_OVERLAP_LEN]; // 待交叠实部
    flt32 afOverlapImag[DMDL_FFT_OVERLAP_LEN]; // 待交叠虚部
} DMDL_OVERLAP_DATA_T;

#endif